%define		php_name	php%{?php_suffix}
%define		modname		odbtp
Summary:	%{modname} - ODBTP client functions
Summary(pl.UTF-8):	%{modname} - funkcjonalność klienta ODBTP
Name:		%{php_name}-pecl-%{modname}
Version:	1.1.4
Release:	4
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	0ae71132e80c1bacb8ecc8d8221358f1
Patch0:		php-pecl-%{modname}-shared.patch
Patch1:		php-pecl-%{modname}-shared64.patch
Patch2:		php-pecl-%{modname}-confpath.patch
URL:		http://pecl.php.net/package/odbtp/
BuildRequires:	%{php_name}-devel >= 3:5.0.0
BuildRequires:	odbtp-devel = %{version}
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Requires:	php(core) >= 5.0.4
Provides:	php(odbtp)
Obsoletes:	php-odbtp
Obsoletes:	php-pear-odbtp
Conflicts:	php-mssql
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This extension provides a set of ODBTP, Open Database Transport
Protocol, client functions. ODBTP allows any platform to remotely use
the ODBC facilities installed on a Win32 host to connect to a
database. Linux and UNIX clients can use this extension to access
Win32 databases like MS SQL Server, MS Access and Visual FoxPro.

%description -l pl.UTF-8
To rozszerzenie dostarcza zestaw funkcji klienta ODBTP, Otwartego
Protokołu Transportu Baz Danych (Open Database Transport Protocol).
ODBTP pozwala na zdalny dostęp do ODBC zainstalowanego na komputerze z
systemem Windows. Umożliwia to dostęp do baz danych takich jak MS SQL
Server, MS Access czy Visual FoxPro z poziomu systemu Linux/Unix.

%prep
%setup -qc
mv %{modname}-%{version}/* .
%if "%{_lib}" == "lib64"
%patch1 -p2
%else
%patch0 -p2
%endif
%patch2 -p2

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}
install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS EXPERIMENTAL
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Thu Nov 28 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-odbtp.git;a=log;h=master

* Thu Nov 28 2013 Elan Ruusamäe <glen@delfi.ee> a4be123
fix patch depth

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 59529ea
support building for multiple php versions

* Tue Jan 31 2012 Elan Ruusamäe <glen@pld-linux.org> fa66911
- release 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> acfb04b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 424a334
- converted to UTF-8

* Tue Jan 02 2007 Elan Ruusamäe <glen@pld-linux.org> c309435
- use new php extension related macros

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> 6b9346d
- rel 3 (php 5.2.0)

* Sun Nov 26 2006 Elan Ruusamäe <glen@pld-linux.org> de32970
- rel 2: add Provides: php(%{_modname})

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> 7826b19
- BR rpmmacros for fixed %requires_php_extension

* Wed Jul 19 2006 hawk <hawk@pld-linux.org> a711be5
- updated to 1.1.4
- BR same version of odbtp-devel, built with other version doesn't work ok

* Wed Jul 19 2006 hawk <hawk@pld-linux.org> 49b5ac3
- updated for 1.1.4

* Wed Jul 19 2006 hawk <hawk@pld-linux.org> 452d5b4
- updated for 1.1.4

* Thu Dec 22 2005 Elan Ruusamäe <glen@pld-linux.org> fd194ad
- rel 7 (rebuild with new php)

* Sun Dec 18 2005 Elan Ruusamäe <glen@pld-linux.org> 8e30309
- can't coexist with mssql (symbols collision and php crash); rel 6

* Sun Oct 30 2005 Elan Ruusamäe <glen@pld-linux.org> 9790ca7
- rel 5

* Sat Oct 29 2005 Elan Ruusamäe <glen@pld-linux.org> 93a01af
- rebuild with zts and debug requires

* Sat Oct 08 2005 Elan Ruusamäe <glen@pld-linux.org> 20c7b1d
- rel 2

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> 59f4a2f
- set path to odbtp.conf

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> a728fef
- Provides php-odbtp (pear makerpm sees it as php extension not pecl)

* Wed Sep 21 2005 Elan Ruusamäe <glen@pld-linux.org> 8af097e
- added configdir patch
- obsoletes demacroized

